%{?nodejs_find_provides_and_requires}

%global packagename readline2
%global enable_tests 1

Name:		nodejs-readline2
Version:	1.0.1
Release:	1%{?dist}
Summary:	Readline Façade fixing bugs and issues found in releases 0.8 and 0.10

License:	MIT
URL:		https://github.com/sboudrias/readline2.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

# License file not in npm tarball
Source20:	https://raw.githubusercontent.com/SBoudrias/readline2/v%{version}/LICENSE-MIT


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Readline Façade fixing bugs and issues found in releases 0.8 and 0.10


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
cp -p %{SOURCE20} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}


%changelog
* Thu Feb  4 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
